# variables bracketed by @..@ are replaced by the configure script
# rest of makefile contains rules for making MATLAB mex files
mex_command=@MEXCOMMAND@
prefix=@prefix@
package=@PACKAGE@
version=@VERSION@
distdir=$(package)-$(version)
abs_top_builddir=@abs_top_builddir@
distfullpath=$(abs_top_builddir)/matlab/$(distdir)
SOURCES=${wildcard *.c}
MEXEXT=${shell mexext}
MEXECUTABLES=${patsubst %.c,%.${MEXEXT},${SOURCES}}

all : ${MEXECUTABLES}

%.$(MEXEXT) : %.c
	$(mex_command) -I../src -L../src/.libs -liwave $<

clean:
	rm -f $(MEXECUTABLES)
	rm -f $(prefix)/matlab/*.m
	rm -f $(prefix)/matlab/*.$(MEXEXT)

install:
	test -z $(prefix)/matlab || mkdir -p $(prefix)/matlab
	cp *.$(MEXEXT) $(prefix)/matlab/.
	cp *.m $(prefix)/matlab/.

distdir:
	test -z $(distfullpath) || mkdir -p $(distfullpath)
	cp *.c $(distfullpath)/.
	cp *.m $(distfullpath)/.
	cp Makefile.in $(distfullpath)/.
